Extending Qt Creator Manual | GenericProposalWidget

Extending Qt Creator Manual 4.5.2

# GenericProposalWidget Class

(TextEditor::GenericProposalWidget)

Inherits: | TextEditor::IAssistProposalWidget

- List of all members, including inherited members

## Public Functions

| GenericProposalWidget()
| ~GenericProposalWidget()

## Reimplemented Public Functions

virtual void | closeProposal() override
virtual void | setAssistant(CodeAssistant *assistant) override
virtual void | setDisplayRect(const QRect &rect) override
virtual void | setIsSynchronized(bool isSync) override
virtual void | setKind(AssistKind kind) override
virtual void | setModel(IAssistProposalModel *model) override
virtual void | setReason(AssistReason reason) override
virtual void | setUnderlyingWidget(const QWidget *underlyingWidget) override
virtual void | showProposal(const QString &prefix) override
virtual void | updateProposal(const QString &prefix) override

- 12 public functions inherited from TextEditor::IAssistProposalWidget

## Protected Functions

bool | activateCurrentProposalItem()
bool | eventFilter(QObject *o, QEvent *e) override
GenericProposalModel * | model()

### Additional Inherited Members

- 3 signals inherited from TextEditor::IAssistProposalWidget

## Member Function Documentation

### GenericProposalWidget::GenericProposalWidget()

Default constructs an instance of GenericProposalWidget.

### GenericProposalWidget::~GenericProposalWidget()

Destroys the instance of GenericProposalWidget.

### `[protected]` bool GenericProposalWidget::activateCurrentProposalItem()

### `[override virtual]` void GenericProposalWidget::closeProposal()

### `[protected]` bool GenericProposalWidget::eventFilter(QObject *o, QEvent *e)

### `[protected]` GenericProposalModel *GenericProposalWidget::model()

See also setModel().

### `[override virtual]` void GenericProposalWidget::setAssistant(CodeAssistant *assistant)

### `[override virtual]` void GenericProposalWidget::setDisplayRect(const QRect &rect)

### `[override virtual]` void GenericProposalWidget::setIsSynchronized(bool isSync)

### `[override virtual]` void GenericProposalWidget::setKind(AssistKind kind)

### `[override virtual]` void GenericProposalWidget::setModel(IAssistProposalModel *model)

See also model().

### `[override virtual]` void GenericProposalWidget::setReason(AssistReason reason)

### `[override virtual]` void GenericProposalWidget::setUnderlyingWidget(const QWidget *underlyingWidget)

### `[override virtual]` void GenericProposalWidget::showProposal(const QString &prefix)

### `[override virtual]` void GenericProposalWidget::updateProposal(const QString &prefix)